---
lang: en
title: 'API docs: filter.wherebuilder.nin'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.nin.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [nin](./filter.wherebuilder.nin.md)

## WhereBuilder.nin() method

Add a `nin` condition

<b>Signature:</b>

```typescript
nin<K extends KeyOf<MT>>(key: K, val: MT[K][]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | K | Property name |
|  val | MT\[K\]\[\] | An array of property values |

<b>Returns:</b>

this


